<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//				Page d'un concours
// +-----------------------------------------------------------------------+
if (is_admin()) {
	$template->assign('U_EDIT', CR_ADMIN . '&amp;tab=edit&amp;contest_id=' . $page['contest'] . '&amp;redirect=page');
	$template->assign('U_RESULTS', CR_ADMIN . '&amp;tab=results&amp;contest_id=' . $page['contest']);
}

// Infos du concours
$contest = pwg_query("SELECT * FROM " . CR_TABLE_1 . " WHERE id=" . $page['contest'] . ";");

if (pwg_db_num_rows($contest)) { 
	$contest = pwg_db_fetch_assoc($contest);
	
	// Concours non-publique
	if (!$contest['visible']) {
		check_status(ACCESS_ADMINISTRATOR);
	}
	
	// Paramètres généraux
	$template->assign(array(
		'ID' => $contest['id'],
		'NAME' => trigger_event('render_CR_content', $contest['name']),
		'STATUS' => $contest['status'],
		'VISIBLE' => $contest['visible'],
		'DATE_BEGIN' => format_date($contest['date_begin']),
		'DATE_END' => format_date($contest['date_end']),
		'LOGO' => $contest['logo'],
		'BANNER' => $contest['banner'],
		'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
	));
	
	// Les quatre zones texte
	foreach (array('presentation','rules','prices','final') AS $key) {
		$template->assign(strtoupper($key), trigger_event('render_CR_content', $contest[$key]));
	}
	
	// Affichage des résultats
	if ($contest['status'] == 'finished') {
		// Infos des résultats
		$results = pwg_query("SELECT * FROM " . CR_TABLE_2 . " WHERE contest_id=" . $contest['id'] . " ORDER BY rank ASC;");
		
		while ($result = pwg_db_fetch_assoc($results)) {
			// Infos de l'image
			$query = "SELECT
					i.id,
					i.name,
					i.file,
					i.path,
					i.tn_ext,
					ic.category_id
				FROM " . IMAGES_TABLE . " AS i
				INNER JOIN " . IMAGE_CATEGORY_TABLE . " AS ic
				ON ic.image_id = i.id
				WHERE i.id = " . $result['image_id'] . ";";
			$image = pwg_db_fetch_assoc(pwg_query($query));

			// retrieving category informations
			$query = "SELECT 
					id, 
					name, 
					permalink, 
					uppercats
				FROM " . CATEGORIES_TABLE."
				WHERE id = " . $image['category_id'] . ";";
			$image['cat'] = pwg_db_fetch_assoc(pwg_query($query));
	
			// link to the full size picture
			$image['url'] = make_picture_url(array(
				'category' => $image['cat'],
				'image_id' => $image['id'],
				'image_file' => $image['file'],
			));			
			
			// Template
			if (in_array($result['rank'], array(1,2,3))) {
				$data = array(
					'RANK' => $result ['rank'],
					'AUTHOR' => $result['author'],
					'IMAGE_SRC' => str_replace('thumbnail/'.$conf['prefix_thumbnail'], null, get_thumbnail_url($image)),
					'IMAGE_URL' => $image['url'],
					'IMAGE_NAME' => (empty($image['name'])) ? get_name_from_file($image['file']) : $image['name'],
					'COMMENT' => CR_cut_string(trigger_event('render_CR_content', $result['comment']), 450),
				);
			}else{
				$data = array(
					'RANK' => $result ['rank'],
					'AUTHOR' => $result['author'],
					'TN_SRC' => get_thumbnail_url($image),
					'IMAGE_URL' => $image['url'],
					'IMAGE_NAME' => (empty($image['name'])) ? get_name_from_file($image['file']) : $image['name'],
				);
			}
			$template->append('RESULTS', $data);
		}
	}
	
	$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/cr_page.tpl'));
	
} else {
	page_not_found(l10n('CR_notavailable'));
}


// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->assign('CR_PATH', CR_PATH);
$template->assign('SEPARATOR', $conf['level_separator']);
?>